package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人贷款逾期信息对象 tgjj_grdkyqxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjGrdkyqxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** ID序号 */
    @Excel(name = "ID序号")
    private String IDXH;

    /** 贷款账号 */
    @Excel(name = "贷款账号")
    private String DKZH;

    /** 逾期期次 */
    @Excel(name = "逾期期次")
    private Long YQQC;

    /** 逾期本金 */
    @Excel(name = "逾期本金")
    private BigDecimal YQBJ;

    /** 逾期利息 */
    @Excel(name = "逾期利息")
    private BigDecimal YQLX;

    /** 逾期罚息 */
    @Excel(name = "逾期罚息")
    private BigDecimal YQFX;

    /** 实收日期 */
    @Excel(name = "实收日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date SSRQ;

    /** 还款期次 */
    @Excel(name = "还款期次")
    private Long HKQC;

    /** 实收逾期本金金额 */
    @Excel(name = "实收逾期本金金额")
    private BigDecimal SSYQBJJE;

    /** 实收逾期利息金额 */
    @Excel(name = "实收逾期利息金额")
    private BigDecimal SSYQLXJE;

    /** 实收逾期罚息金额 */
    @Excel(name = "实收逾期罚息金额")
    private BigDecimal SSYQFXJE;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setIDXH(String IDXH)
    {
        this.IDXH = IDXH;
    }

    public String getIDXH()
    {
        return IDXH;
    }
    public void setDKZH(String DKZH)
    {
        this.DKZH = DKZH;
    }

    public String getDKZH()
    {
        return DKZH;
    }
    public void setYQQC(Long YQQC)
    {
        this.YQQC = YQQC;
    }

    public Long getYQQC()
    {
        return YQQC;
    }
    public void setYQBJ(BigDecimal YQBJ)
    {
        this.YQBJ = YQBJ;
    }

    public BigDecimal getYQBJ()
    {
        return YQBJ;
    }
    public void setYQLX(BigDecimal YQLX)
    {
        this.YQLX = YQLX;
    }

    public BigDecimal getYQLX()
    {
        return YQLX;
    }
    public void setYQFX(BigDecimal YQFX)
    {
        this.YQFX = YQFX;
    }

    public BigDecimal getYQFX()
    {
        return YQFX;
    }
    public void setSSRQ(Date SSRQ)
    {
        this.SSRQ = SSRQ;
    }

    public Date getSSRQ()
    {
        return SSRQ;
    }
    public void setHKQC(Long HKQC)
    {
        this.HKQC = HKQC;
    }

    public Long getHKQC()
    {
        return HKQC;
    }
    public void setSSYQBJJE(BigDecimal SSYQBJJE)
    {
        this.SSYQBJJE = SSYQBJJE;
    }

    public BigDecimal getSSYQBJJE()
    {
        return SSYQBJJE;
    }
    public void setSSYQLXJE(BigDecimal SSYQLXJE)
    {
        this.SSYQLXJE = SSYQLXJE;
    }

    public BigDecimal getSSYQLXJE()
    {
        return SSYQLXJE;
    }
    public void setSSYQFXJE(BigDecimal SSYQFXJE)
    {
        this.SSYQFXJE = SSYQFXJE;
    }

    public BigDecimal getSSYQFXJE()
    {
        return SSYQFXJE;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("IDXH", getIDXH())
            .append("DKZH", getDKZH())
            .append("YQQC", getYQQC())
            .append("YQBJ", getYQBJ())
            .append("YQLX", getYQLX())
            .append("YQFX", getYQFX())
            .append("SSRQ", getSSRQ())
            .append("HKQC", getHKQC())
            .append("SSYQBJJE", getSSYQBJJE())
            .append("SSYQLXJE", getSSYQLXJE())
            .append("SSYQFXJE", getSSYQFXJE())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
